Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
bathuan

Giúp đỡ về lệnh Convert 3D polyline to Polyline

Các bài được khuyến nghị

bathuan    0

Tôi mới tìm hiểu về Cad nên còn gà về vấn đề này lắm, tôi mong các bạn chỉ giáo giúp: Trong CAD có lện nào để Convert 3D polyline to Polyline. Cảm ơn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
xuantran15    112
Tôi mới tìm hiểu về Cad nên còn gà về vấn đề này lắm, tôi mong các bạn chỉ giáo giúp: Trong CAD có lện nào để Convert 3D polyline to Polyline. Cảm ơn

Explore nó ra và nối lại bằng Pedit là được :bigsmile:

Lưu ý: Bài viết cùng một nội dung bạn không nên post nhiều lần, hãy kiên nhẫn bạn nhé.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
bathuan    0
Explore nó ra và nối lại bằng Pedit là được :bigsmile:

Lưu ý: Bài viết cùng một nội dung bạn không nên post nhiều lần, hãy kiên nhẫn bạn nhé.

Xin lỗi tại lúc gửi bài thì mạng bị lỗi nên bị thế.

Bạn còn cách nào khác để Convert 3D polyline to Polyline nhanh hơn không, làm thế thì lâu quá, vì bản vẽ của mình rất nhiều 3D Polyline cần Convert mà. Cảm ơn bạn xuantran15

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
xuantran15    112
Xin lỗi tại lúc gửi bài thì mạng bị lỗi nên bị thế.

Bạn còn cách nào khác để Convert 3D polyline to Polyline nhanh hơn không, làm thế thì lâu quá, vì bản vẽ của mình rất nhiều 3D Polyline cần Convert mà. Cảm ơn bạn xuantran15

Còn 1 cách nữa nhưng nó chỉ có trong civil 3d thôi. Nếu bạn có dùng civil thì vào mục terrain/ 3dpoly/convert to 2D polyline. còn không thì nhờ các bác trên diễn đàn viết cho 1 cái lisp vậy. :bigsmile:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
Xin lỗi tại lúc gửi bài thì mạng bị lỗi nên bị thế.

Bạn còn cách nào khác để Convert 3D polyline to Polyline nhanh hơn không, làm thế thì lâu quá, vì bản vẽ của mình rất nhiều 3D Polyline cần Convert mà. Cảm ơn bạn xuantran15

Lisp này sẽ giúp bạn : (theo giống ý của Xuantran)

1. Chọn các 3DPOLY

2 -> Lisp sẽ convert 3D polyline to Polyline cho bạn

Đây :

(defun c:c3d2d( / ssg ss  from to cur)
(setq ssg (ssget '((0 . "POLYLINE"))) i 0 ss (ssadd))

(while (< i (sslength ssg))
(setq frome (entlast))
(setq e (ssname ssg i))
(command "explode" e "") 
(setq toe (entlast)) 

(setq cur frome)
(while (not (eq cur toe)) 
(setq
cur (entnext cur)
ss (ssadd cur ss)
)
)
(command "PEDIT" "m" ss "" "Y" "j" "0" "")
(setq i (1+ i))
)
(princ)
)

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
thiep    263
Tôi mới tìm hiểu về Cad nên còn gà về vấn đề này lắm, tôi mong các bạn chỉ giáo giúp: Trong CAD có lện nào để Convert 3D polyline to Polyline. Cảm ơn

Vẫn còn 1 cách nữa, xin tiếp cận tạo lisp để Convert 3D polyline to Polyline với các các hàm acet-... mà không cần nổ đối tượng:

;| Convert 3D polyline to Polyline Lisp
yeu cau: express tools day du|; 
(defun c:3d->2d (/ ssg ss lstptmp e L)
 (prompt "\nSelect polyline: ")
 (setq	ssg (ssget '((0 . "POLYLINE")))
lstptmp	nil
i 0)
 (while (< i (sslength ssg))
   (setq e (ssname ssg i))
   (setq L (ACET-GEOM-VERTEX-LIST e))
   (foreach ptemp L
     (setq lstptmp (append lstptmp (list(list (car ptemp) (cadr ptemp)))))
   )
   (ACET-LWPLINE-MAKE (List lstptmp))
   (setq i (1+ i)
  lstptmp nil
   )
   (entdel e)
 )
 (princ)
)

  • Vote tăng 3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
mtacd    0

Tôi mới tìm hiểu về Cad nên còn gà về vấn đề này lắm, tôi mong các bạn chỉ giáo giúp: Trong CAD có lện nào để Convert 3D polyline to Polyline. Cảm ơn

Bạn dùng ANDDesign, sau đó dùng lệnh C3DT2D,quét chọn các 3DPolyline.enter là ok

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hoquangvinh    5

thiep, on 15 Oct 2009 - 14:21, said:

Vẫn còn 1 cách nữa, xin tiếp cận tạo lisp để Convert 3D polyline to Polyline với các các hàm acet-... mà không cần nổ đối tượng:

;| Convert 3D polyline to Polyline Lispyeu cau: express tools day du|; (defun c:3d->2d (/ ssg ss lstptmp e L)  (prompt "\nSelect polyline: ")  (setq	ssg (ssget '((0 . "POLYLINE")))	lstptmp	nil	i 0)  (while (< i (sslength ssg))    (setq e (ssname ssg i))    (setq L (ACET-GEOM-VERTEX-LIST e))    (foreach ptemp L      (setq lstptmp (append lstptmp (list(list (car ptemp) (cadr ptemp)))))    )    (ACET-LWPLINE-MAKE (List lstptmp))    (setq i (1+ i)	  lstptmp nil    )    (entdel e)  )  (princ))

Trong mấy cái trên mình thử và ko dùng đc cái nào cả

mỗi cái này là chuyển về polyline đc

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
huaductiep    2

Cái này chuẩn. Thanks các bác :)

 

Vẫn còn 1 cách nữa, xin tiếp cận tạo lisp để Convert 3D polyline to Polyline với các các hàm acet-... mà không cần nổ đối tượng:


;| Convert 3D polyline to Polyline Lispyeu cau: express tools day du|; (defun c:3d->2d (/ ssg ss lstptmp e L)  (prompt "\nSelect polyline: ")  (setq	ssg (ssget '((0 . "POLYLINE")))	lstptmp	nil	i 0)  (while (< i (sslength ssg))    (setq e (ssname ssg i))    (setq L (ACET-GEOM-VERTEX-LIST e))    (foreach ptemp L      (setq lstptmp (append lstptmp (list(list (car ptemp) (cadr ptemp)))))    )    (ACET-LWPLINE-MAKE (List lstptmp))    (setq i (1+ i)	  lstptmp nil    )    (entdel e)  )  (princ))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Nguyen Nam    0

sdsaf sad ádf

 

Cái này chuẩn. Thanks các bác :)

 

Xin lỗi tại lúc gửi bài thì mạng bị lỗi nên bị thế.
Bạn còn cách nào khác để Convert 3D polyline to Polyline nhanh hơn không, làm thế thì lâu quá, vì bản vẽ của mình rất nhiều 3D Polyline cần Convert mà. Cảm ơn bạn xuantran15

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×